Generation Framework

## org.eclipse.gmf.graphdef.codegen
Class StandaloneGenerator.Processor

    java.lang.Object
      org.eclipse.gmf.graphdef.codegen.StandaloneGenerator.Processor

Enclosing class:
  StandaloneGenerator

public abstract static class StandaloneGenerator.Processor
extends java.lang.Object

Constructor Summary
`StandaloneGenerator.Processor()`

Method Summary
`java.lang.String[]` `getRequiredBundles(FigureQualifiedNameSwitch fqnSwitch)`
`abstract void` `go(StandaloneGenerator.ProcessorCallback callback, StandaloneGenerator.Config config)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandaloneGenerator.Processor

    public StandaloneGenerator.Processor()

Method Detail

### go

    public abstract void go(StandaloneGenerator.ProcessorCallback callback,
                            StandaloneGenerator.Config config)
                     throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### getRequiredBundles

    public java.lang.String[] getRequiredBundles(FigureQualifiedNameSwitch fqnSwitch)

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.